aboutsummaryrefslogtreecommitdiff
path: root/sxhkd/scripts/sxhkd/macropad_layer.sh
diff options
context:
space:
mode:
authorSébastien Dailly <sebastien@dailly.me>2023-10-01 20:05:37 +0200
committerSébastien Dailly <sebastien@dailly.me>2023-10-01 20:05:37 +0200
commit05aea491fec4dd9a68ca90150543e03a32bf6985 (patch)
treedb2a710f0b703def82fd59e3cabc94942aa1e522 /sxhkd/scripts/sxhkd/macropad_layer.sh
parent18d0291fb3b51797efd67389687b97122d710c89 (diff)
Update the bspwm scripts. Added a theme for rofi
Diffstat (limited to 'sxhkd/scripts/sxhkd/macropad_layer.sh')
-rwxr-xr-xsxhkd/scripts/sxhkd/macropad_layer.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/sxhkd/scripts/sxhkd/macropad_layer.sh b/sxhkd/scripts/sxhkd/macropad_layer.sh
new file mode 100755
index 0000000..4f4659f
--- /dev/null
+++ b/sxhkd/scripts/sxhkd/macropad_layer.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+BIN_PATH=/home/sebastien/Projets/python/serial/
+LAYER_PATH=${BIN_PATH}/layers/
+
+set -u
+set -e
+
+if [ -z ${1+x} ]; then
+ ls ${LAYER_PATH}
+else
+ python3 ${BIN_PATH}/client.py ${BIN_PATH}/config_client.ini --layer ${LAYER_PATH}/$1 > /dev/null
+fi